/*
 * @Author: xiejiang
 * @Date: 2024-06-05 11:26:49
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-11-26 17:28:10
 * @Description:
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */

/** @description 上次文件类型 */
export const UploadType = {
  /** @description 图片 */
  image: 1,
  /** @description 视频 */
  video: 2,
  /** @description 图片和视频 */
  media: 3
}

export const UploadImageAccept = ['image/jpeg', 'image/png']
export const UploadVideoAccept = ['video/mp4', 'video/x-msvideo', 'video/x-flv']
export const UploadMediaAccept = [...UploadImageAccept, ...UploadVideoAccept]
